@import url(./normalize.css);

:root {
    --clr-white: #ffffff;
    --clr-blue: #007BFC;
    --clr-blue-100: #0093fc;
    --clr-black: #212429;
    --clr-gray: #F4F6FB;
    --clr-gray-100: #dfe5f8;
    --clr-gray-600: #868d94;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Mulish';
}

img {
    pointer-events: none;
}

.basic-main {
    margin: 5% 0;
}

.container {
    max-width: 1440px;
    margin: 0 auto;
    box-sizing: border-box;
}

.section {
    padding: 100px 0px 20px;
}

.section__article {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.section__title {
    margin: 0;
    font-weight: 600;
    color: var(--clr-black);
}

.section__subtitle {
    margin: 0;
    font-weight: 400;
    color: var(--clr-gray-600);
}

.text__strong {
    margin: 0;
    font-weight: 500;
    color: var(--clr-black);
}

.list__num {
    margin: 0;
    padding: 0;
    list-style: none;

    display: flex;
    flex-direction: column;
    gap: 24px;
}

.item__num {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}

.item__num p {
    margin: 0;
}

.item__num-span {
    width: 24px;
    height: 24px;

    display: flex;
    align-items: center;
    justify-content: center;

    color: var(--clr-white);

    border-radius: 6px;
    background: var(--clr-blue);
}

.btn {
    margin: 0;

    font-weight: 700;

    outline: none;
    border: none;
    cursor: pointer;

    background: transparent;

    border-radius: 12px;
    transition: .3s ease-in-out;
}

.btn__blue {
    color: var(--clr-white);
    background-color: var(--clr-blue);
}

.btn__blue:hover {
    border-radius: 24px;
    background-color: var(--clr-blue-100);
}

.btn__white {
    color: var(--clr-blue);
    background-color: var(--clr-white);
}

.btn__white:hover {
    border-radius: 24px;
    color: var(--clr-blue-100);
    background-color: var(--clr-gray);
}

.center {
    text-align: center;
    align-items: center;
}

.section__btn {
    display: flex;
    justify-content: center;
}

.section__link {
    padding: 16px 32px;
    text-decoration: none;
}

@media (min-width: 1440px) {

    .container {
        max-width: 90vw;
    }
}

@media screen and (max-width: 1440px) {

    .container {
        max-width: 90%;
    }

}

@media screen and (max-width: 1024px) {

    .container {
        max-width: 90%;
    }

    .section {
        padding: 80px 0px 20px;
    }
    
}

@media screen and (max-width: 1024px) {

    .section {
        padding: 60px 0px 20px;
    }

}